# Method: admin.directory.v1.customers.chrome.printers.batchDeletePrinters

Deletes printers in batch.

### HTTP request

`POST https://admin.googleapis.com/admin/directory/v1/{parent=customers/*}/chrome/printers:batchDeletePrinters`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The name of the customer. Format: customers/{customer_id} |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "printerIds": [ string ] } ``` |

| Fields ||
|---|---|
| `printerIds[]` | `string` A list of Printer.id that should be deleted. Max 100 at a time. |

### Response body

Response for deleting existing printers in batch.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "printerIds": [ string ], "failedPrinters": [ { object (`https://developers.google.com/workspace/admin/chrome-printer/reference/rest/v1/FailureInfo`) } ] } ``` |

| Fields ||
|---|---|
| `printerIds[]` | `string` A list of Printer.id that were successfully deleted. |
| `failedPrinters[]` | ``object (`https://developers.google.com/workspace/admin/chrome-printer/reference/rest/v1/FailureInfo`)`` A list of update failures. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admin.chrome.printers`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).